summaryrefslogtreecommitdiff
path: root/Checkpatch.sh
diff options
context:
space:
mode:
authorTobias Grimm <tobias@e-tobi.loc>2008-12-13 10:52:59 +0100
committerTobias Grimm <tobias@e-tobi.loc>2008-12-13 10:52:59 +0100
commit18dbe92306e0c9e1b1513e4cfae603369fbacd80 (patch)
tree6fcb7e78ac8cb5026fab56cfbe3d4ead31fcad9d /Checkpatch.sh
parentb4047ea57428a788456ecb02bc3fc6c5d83bf232 (diff)
downloadvdr-plugin-ttxtsubs-0.0.3d.tar.gz
vdr-plugin-ttxtsubs-0.0.3d.tar.bz2
- IMORTANT! Needs and upgrade to the patch! See README!v0.0.3d
- Improved the OSD hooks to be more compatible with other plugins - Added a primitive Service Information caching mechanism to speed up channel switching (will not refresh if channels are changed, will be reset on VDR restart)
Diffstat (limited to 'Checkpatch.sh')
-rw-r--r--Checkpatch.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/Checkpatch.sh b/Checkpatch.sh
new file mode 100644
index 0000000..5549988
--- /dev/null
+++ b/Checkpatch.sh
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+DIR=`dirname $0`
+
+if [ ! -f "$DIR/../../../osd.c" ]; then
+ echo
+ echo
+ echo "Warning while building ttxtsubs plugin:"
+ echo $0: "Can not find VDR's osd.c so can not check for correct patch!"
+ echo
+ echo
+ exit 0;
+fi
+
+grep vdrttxtsubshooks "$DIR/../../../osd.c" >> /dev/null;
+if [ $? -ne 0 ]; then
+ echo
+ echo
+ echo "Error while building ttxtsubs plugin:"
+ echo "You have not patched your VDR - please read the README!"
+ echo
+ echo
+ exit 1;
+fi
+
+grep OSD_HOOK_2 "$DIR/../../../osd.c" >> /dev/null;
+if [ $? -ne 0 ]; then
+ echo
+ echo
+ echo "Error while building ttxtsubs plugin:"
+ echo " You have an older version of the VDR patch installed!"
+ echo " You need to upgrade it."
+ echo " Please do:"
+ echo " cd /path/to/vdr [ replace with your path ]"
+ echo " patch -b < PLUGINS/src/ttxtsubs/VDR.upgrade-patch"
+ echo " make"
+ echo
+ exit 1;
+fi
+